Activity log for bug #681348

Date Who What changed Old value New value Message
2010-11-25 11:33:38 Paul Sladen bug added bug
2010-11-25 12:56:51 Didier Roche unity (Ubuntu): status New Triaged
2010-11-25 12:56:52 Didier Roche unity (Ubuntu): importance Undecided Wishlist
2010-11-25 12:57:07 Didier Roche summary General feedback: frustrating not being able to "just get to the desktop" "show me the desktop" icon
2010-11-25 12:57:11 Didier Roche bug task added unity
2010-11-25 12:57:20 Didier Roche unity: status New Triaged
2010-11-25 12:57:23 Didier Roche unity: importance Undecided Wishlist
2010-11-25 13:48:59 Paul Sladen summary "show me the desktop" icon Add "show me the desktop" icon
2010-11-26 12:45:47 Mark Shuttleworth unity (Ubuntu): importance Wishlist Medium
2010-11-26 15:31:58 John Lea description Binary package hint: unity General, vague, wishy-washy feeling whilst using Unity. If the machine is busy/slow, or I'm getting confused, then *I just want to get to the desktop* (and see my comforting wall paper, files and screenshots). There appears to be no easy way to do this in Unity. Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: 1) Implement a "Super+D" keyboard shortcut to minimise all windows. 2) Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. ------------------------------------------------ Original bug report: Binary package hint: unity General, vague, wishy-washy feeling whilst using Unity. If the machine is busy/slow, or I'm getting confused, then *I just want to get to the desktop* (and see my comforting wall paper, files and screenshots). There appears to be no easy way to do this in Unity.
2010-11-26 15:32:11 John Lea summary Add "show me the desktop" icon Add "show me the desktop" keyboard shortcut
2010-11-26 15:33:15 John Lea bug task added ayatana-design
2010-11-26 15:33:27 John Lea ayatana-design: status New Fix Committed
2010-11-26 15:33:46 John Lea ayatana-design: importance Undecided Critical
2010-11-26 15:34:15 John Lea tags udt
2010-12-02 15:43:07 John Lea ayatana-design: importance Critical Low
2010-12-02 15:43:14 John Lea unity (Ubuntu): importance Medium Wishlist
2010-12-02 15:43:19 John Lea ayatana-design: importance Low Wishlist
2010-12-02 15:44:04 John Lea description Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: 1) Implement a "Super+D" keyboard shortcut to minimise all windows. 2) Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. ------------------------------------------------ Original bug report: Binary package hint: unity General, vague, wishy-washy feeling whilst using Unity. If the machine is busy/slow, or I'm getting confused, then *I just want to get to the desktop* (and see my comforting wall paper, files and screenshots). There appears to be no easy way to do this in Unity. Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: 1) Implement a "Super+D" keyboard shortcut to minimise all windows. 2) Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher.
2010-12-02 15:45:33 John Lea ayatana-design: status Fix Committed Incomplete
2010-12-02 16:21:07 David Barth unity: status Triaged Incomplete
2010-12-02 16:21:11 David Barth unity (Ubuntu): status Triaged Incomplete
2011-01-01 20:53:40 Kyle Clarke attachment added Screenshot-1.png https://bugs.launchpad.net/unity/+bug/681348/+attachment/1781353/+files/Screenshot-1.png
2011-01-01 20:54:15 Kyle Clarke bug added subscriber Kyle Clarke
2011-01-20 22:42:57 David bug added subscriber David
2011-02-06 09:01:02 Xavier Guillot bug added subscriber Valeryan_24
2011-02-06 11:00:24 Xavier Guillot summary Add "show me the desktop" keyboard shortcut Add "show me the desktop" keyboard or Unity dock shortcut
2011-02-25 03:46:31 Eric Appleman bug added subscriber Eric Appleman
2011-03-01 11:23:54 Mark Shuttleworth ayatana-design: status Incomplete Confirmed
2011-03-01 11:24:29 Mark Shuttleworth ayatana-design: importance Wishlist High
2011-03-01 11:56:46 Mark Shuttleworth bug added subscriber Claire Newman
2011-03-01 17:37:50 Brian Murray unity: status Incomplete Confirmed
2011-03-01 17:38:15 Brian Murray unity (Ubuntu): status Incomplete Confirmed
2011-03-02 02:06:10 Gary M bug added subscriber Gary M
2011-03-04 19:28:33 areteichi bug added subscriber areteichi
2011-03-06 21:17:02 Marcos Magalhães bug added subscriber Marcos Vinícius
2011-03-11 15:37:16 mlaverdiere bug added subscriber mlaverdiere
2011-03-18 10:16:09 Paul Sladen ayatana-design: milestone later
2011-03-23 16:54:46 Andrea Virgillito bug added subscriber Andrea Virgillito
2011-04-21 10:51:05 Julien Olivier bug added subscriber Julien Olivier
2011-04-24 16:28:46 arno_b bug added subscriber arno_b
2011-04-30 21:46:43 dc bug added subscriber dc
2011-05-01 11:49:31 Ari Torhamo bug added subscriber Ari Torhamo
2011-05-02 21:56:37 Bob Gruber removed subscriber Bob Gruber
2011-05-04 16:31:37 Hanusz leszek bug added subscriber Hanusz leszek
2011-05-10 07:58:21 utnubu bug added subscriber utnubu
2011-07-10 12:34:49 Brendan Donegan bug added subscriber Brendan Donegan
2011-07-30 01:55:58 Marco Trevisan (Treviño) bug added subscriber Treviño (Marco Trevisan)
2011-08-22 14:46:58 Omer Akram unity: status Confirmed Triaged
2011-08-22 14:47:00 Omer Akram unity (Ubuntu): status Confirmed Triaged
2011-08-23 14:01:28 John Lea ayatana-design: status Confirmed Fix Released
2011-08-23 14:01:34 John Lea ayatana-design: milestone later
2011-08-23 14:35:16 Andrea Azzarone unity: status Triaged Fix Released
2011-08-23 14:35:19 Andrea Azzarone unity (Ubuntu): status Triaged Fix Released
2011-09-14 13:13:42 philinux bug added subscriber philinux
2011-09-30 23:43:22 Lokard bug added subscriber Lokard
2011-11-03 06:34:21 strazer bug added subscriber strazer
2011-11-10 07:48:21 Mark Shuttleworth ayatana-design: status Fix Released Confirmed
2011-11-17 13:08:36 John Lea tags udt udp udt
2011-11-17 13:09:36 John Lea description Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: 1) Implement a "Super+D" keyboard shortcut to minimise all windows. 2) Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default.
2011-11-17 13:09:42 John Lea unity: status Fix Released Confirmed
2011-11-17 13:09:47 John Lea ayatana-design: status Confirmed Fix Committed
2011-11-17 13:09:50 John Lea ayatana-design: status Fix Committed Triaged
2011-11-17 13:09:55 John Lea ayatana-design: assignee John Lea (johnlea)
2011-11-17 13:11:11 John Lea summary Add "show me the desktop" keyboard or Unity dock shortcut Build "show me the desktop" mini-app that adds a show desktop button to Launcher
2011-11-17 13:23:35 Omer Akram unity (Ubuntu): status Fix Released Confirmed
2011-11-17 13:23:40 Omer Akram unity: importance Wishlist Medium
2011-11-17 13:23:43 Omer Akram unity: status Confirmed Triaged
2011-11-17 13:23:45 Omer Akram unity (Ubuntu): status Confirmed Triaged
2011-11-17 13:23:47 Omer Akram unity (Ubuntu): importance Wishlist Medium
2011-11-18 12:46:24 Bernmeister bug added subscriber Bernmeister
2011-11-22 20:59:17 Andre bug added subscriber Andre
2011-11-22 23:10:17 Tim Penhey ayatana-design: status Triaged Fix Committed
2011-11-30 02:34:53 Andrea Azzarone unity: status Triaged In Progress
2011-11-30 02:34:57 Andrea Azzarone unity (Ubuntu): status Triaged In Progress
2011-11-30 02:35:00 Andrea Azzarone unity: assignee Andrea Azzarone (andyrock)
2011-11-30 02:35:02 Andrea Azzarone unity (Ubuntu): assignee Andrea Azzarone (andyrock)
2011-11-30 03:07:12 Andrea Azzarone branch linked lp:~andyrock/unity/fix-681348
2011-11-30 08:22:19 Omer Akram unity: milestone 5.0.0
2011-12-05 09:03:20 TomasHnyk bug added subscriber TomasHnyk
2011-12-05 16:30:45 Andrea Azzarone unity: status In Progress Fix Committed
2011-12-05 16:30:49 Andrea Azzarone unity (Ubuntu): status In Progress Fix Committed
2012-01-12 17:46:47 Didier Roche unity: status Fix Committed Fix Released
2012-01-13 08:15:58 Launchpad Janitor unity (Ubuntu): status Fix Committed Fix Released
2012-01-13 08:45:31 Launchpad Janitor branch linked lp:ubuntu/unity
2012-01-13 13:42:18 John Lea description Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - A user would add the app to the launcher via either installing it from the software centre or dragging and dropping it from the dash. This mini-app can also be run directly from the dash.
2012-01-13 13:42:27 John Lea unity: status Fix Released In Progress
2012-01-13 13:42:37 John Lea unity: milestone 5.0.0 backlog
2012-02-03 16:23:10 John Lea description Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - A user would add the app to the launcher via either installing it from the software centre or dragging and dropping it from the dash. This mini-app can also be run directly from the dash. Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - A user would add the app to the launcher via either installing it from the software centre or dragging and dropping it from the dash. This mini-app can also be run directly from the dash. - This feature should not land until bug #871801 is also fixed ( https://bugs.launchpad.net/ayatana-design/+bug/871801 )
2012-02-03 16:27:26 Didier Roche unity (Ubuntu): status Fix Released In Progress
2012-02-19 19:05:31 John Lea description Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - A user would add the app to the launcher via either installing it from the software centre or dragging and dropping it from the dash. This mini-app can also be run directly from the dash. - This feature should not land until bug #871801 is also fixed ( https://bugs.launchpad.net/ayatana-design/+bug/871801 ) Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - A user would add the app to the launcher via either installing it from the software centre or by dragging and dropping it from the dash. It should be possible to change it's position in the Launcher by dragging and dropping in the same manner as any other application. This mini-app can also be run directly from the dash. Note that mini-app *should not* be a ccsm option. - This feature should not land until bug #871801 is also fixed ( https://bugs.launchpad.net/ayatana-design/+bug/871801 )
2012-02-21 18:33:39 John Lea ayatana-design: importance High Critical
2012-02-24 06:20:30 Giovanni Mellini bug added subscriber Giovanni Mellini
2012-02-25 11:35:49 Burkart Lingner bug added subscriber Burkart Lingner
2012-02-28 22:19:38 Andre attachment added Active Show Desktop Icon in MyUnity https://bugs.launchpad.net/ubuntu/+source/unity/+bug/681348/+attachment/2792082/+files/Screenshot.png
2012-02-29 13:56:28 John Loran bug added subscriber John Loran
2012-03-09 11:09:17 Omer Akram unity: status In Progress Triaged
2012-03-09 11:09:20 Omer Akram unity (Ubuntu): status In Progress Triaged
2012-03-26 15:40:04 Jeremy Bicha bug added subscriber Jeremy Bicha
2012-04-13 21:38:24 Marek Stasiak bug added subscriber Marek Stasiak
2012-04-20 02:33:15 Edward Donovan bug added subscriber Edward Donovan
2012-04-25 03:59:36 Stéphane Guillou bug added subscriber Stéphane Guillou
2012-04-28 00:58:06 cmcginty bug added subscriber cmcginty
2012-06-24 13:18:27 Bernmeister removed subscriber Bernmeister
2012-07-19 13:16:38 John Lea description Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - A user would add the app to the launcher via either installing it from the software centre or by dragging and dropping it from the dash. It should be possible to change it's position in the Launcher by dragging and dropping in the same manner as any other application. This mini-app can also be run directly from the dash. Note that mini-app *should not* be a ccsm option. - This feature should not land until bug #871801 is also fixed ( https://bugs.launchpad.net/ayatana-design/+bug/871801 ) Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - It should be possible to drag and drop the 'Shot Desktop' icon to place it into any position in the Launcher ------------------------------------ Preferred method of enabling Show Desktop icon in Launcher - A user would add the app to the launcher via either installing it from the software centre or by dragging and dropping it from the dash. It should be possible to change it's position in the Launcher by dragging and dropping in the same manner as any other application. This mini-app can also be run directly from the dash. Note that mini-app *should not* be a ccsm option. ------------------------------------ Fallback method of enabling Show Desktop icon in Launcher - Add checkbox to 'System Settings / Appearance / Behaviour' to enable workspaces - This should be displayed as: Reveal sensitivity Low ----|---------High ------ Enable workspaces [] Add Show Desktop icon to Launcher [] ------ Restore Default Behaviours
2012-07-20 08:40:03 Yann Dìnendal description Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - It should be possible to drag and drop the 'Shot Desktop' icon to place it into any position in the Launcher ------------------------------------ Preferred method of enabling Show Desktop icon in Launcher - A user would add the app to the launcher via either installing it from the software centre or by dragging and dropping it from the dash. It should be possible to change it's position in the Launcher by dragging and dropping in the same manner as any other application. This mini-app can also be run directly from the dash. Note that mini-app *should not* be a ccsm option. ------------------------------------ Fallback method of enabling Show Desktop icon in Launcher - Add checkbox to 'System Settings / Appearance / Behaviour' to enable workspaces - This should be displayed as: Reveal sensitivity Low ----|---------High ------ Enable workspaces [] Add Show Desktop icon to Launcher [] ------ Restore Default Behaviours Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - It should be possible to drag and drop the 'Show Desktop' icon to place it into any position in the Launcher ------------------------------------ Preferred method of enabling Show Desktop icon in Launcher - A user would add the app to the launcher via either installing it from the software centre or by dragging and dropping it from the dash. It should be possible to change it's position in the Launcher by dragging and dropping in the same manner as any other application. This mini-app can also be run directly from the dash. Note that mini-app *should not* be a ccsm option. ------------------------------------ Fallback method of enabling Show Desktop icon in Launcher - Add checkbox to 'System Settings / Appearance / Behaviour' to enable workspaces - This should be displayed as: Reveal sensitivity Low ----|---------High ------ Enable workspaces [] Add Show Desktop icon to Launcher [] ------ Restore Default Behaviours
2012-07-21 06:09:55 utnubu removed subscriber utnubu
2012-08-09 22:02:30 Mario Vukelic bug added subscriber Mario Vukelic
2012-08-09 22:14:22 Mario Vukelic description Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: "Windows Logo + D" key combination only OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - It should be possible to drag and drop the 'Show Desktop' icon to place it into any position in the Launcher ------------------------------------ Preferred method of enabling Show Desktop icon in Launcher - A user would add the app to the launcher via either installing it from the software centre or by dragging and dropping it from the dash. It should be possible to change it's position in the Launcher by dragging and dropping in the same manner as any other application. This mini-app can also be run directly from the dash. Note that mini-app *should not* be a ccsm option. ------------------------------------ Fallback method of enabling Show Desktop icon in Launcher - Add checkbox to 'System Settings / Appearance / Behaviour' to enable workspaces - This should be displayed as: Reveal sensitivity Low ----|---------High ------ Enable workspaces [] Add Show Desktop icon to Launcher [] ------ Restore Default Behaviours Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: Clickable area (difficult to discover) in the bottom-right of the screen and "Windows Logo + D" key combination. (compare comments #10-#12) OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - It should be possible to drag and drop the 'Show Desktop' icon to place it into any position in the Launcher ------------------------------------ Preferred method of enabling Show Desktop icon in Launcher - A user would add the app to the launcher via either installing it from the software centre or by dragging and dropping it from the dash. It should be possible to change it's position in the Launcher by dragging and dropping in the same manner as any other application. This mini-app can also be run directly from the dash. Note that mini-app *should not* be a ccsm option. ------------------------------------ Fallback method of enabling Show Desktop icon in Launcher - Add checkbox to 'System Settings / Appearance / Behaviour' to enable workspaces - This should be displayed as: Reveal sensitivity Low ----|---------High ------ Enable workspaces [] Add Show Desktop icon to Launcher [] ------ Restore Default Behaviours
2012-08-10 08:15:52 John Lea description Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: Clickable area (difficult to discover) in the bottom-right of the screen and "Windows Logo + D" key combination. (compare comments #10-#12) OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - It should be possible to drag and drop the 'Show Desktop' icon to place it into any position in the Launcher ------------------------------------ Preferred method of enabling Show Desktop icon in Launcher - A user would add the app to the launcher via either installing it from the software centre or by dragging and dropping it from the dash. It should be possible to change it's position in the Launcher by dragging and dropping in the same manner as any other application. This mini-app can also be run directly from the dash. Note that mini-app *should not* be a ccsm option. ------------------------------------ Fallback method of enabling Show Desktop icon in Launcher - Add checkbox to 'System Settings / Appearance / Behaviour' to enable workspaces - This should be displayed as: Reveal sensitivity Low ----|---------High ------ Enable workspaces [] Add Show Desktop icon to Launcher [] ------ Restore Default Behaviours Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: Clickable area (difficult to discover) in the bottom-right of the screen and "Windows Logo + D" key combination. (compare comments #10-#12) OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - It should be possible to drag and drop the 'Show Desktop' icon to place it into any position in the Launcher - SUPER+D should also trigger the same minimise all windows action ------------------------------------ Preferred method of enabling Show Desktop icon in Launcher - A user would add the app to the launcher via either installing it from the software centre or by dragging and dropping it from the dash. It should be possible to change it's position in the Launcher by dragging and dropping in the same manner as any other application. This mini-app can also be run directly from the dash. Note that mini-app *should not* be a ccsm option. ------------------------------------ Fallback method of enabling Show Desktop icon in Launcher - Add checkbox to 'System Settings / Appearance / Behaviour' to enable workspaces - This should be displayed as: Reveal sensitivity Low ----|---------High ------ Enable workspaces [] Add Show Desktop icon to Launcher [] ------ Restore Default Behaviours
2012-08-10 08:20:58 John Lea description Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: Clickable area (difficult to discover) in the bottom-right of the screen and "Windows Logo + D" key combination. (compare comments #10-#12) OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - It should be possible to drag and drop the 'Show Desktop' icon to place it into any position in the Launcher - SUPER+D should also trigger the same minimise all windows action ------------------------------------ Preferred method of enabling Show Desktop icon in Launcher - A user would add the app to the launcher via either installing it from the software centre or by dragging and dropping it from the dash. It should be possible to change it's position in the Launcher by dragging and dropping in the same manner as any other application. This mini-app can also be run directly from the dash. Note that mini-app *should not* be a ccsm option. ------------------------------------ Fallback method of enabling Show Desktop icon in Launcher - Add checkbox to 'System Settings / Appearance / Behaviour' to enable workspaces - This should be displayed as: Reveal sensitivity Low ----|---------High ------ Enable workspaces [] Add Show Desktop icon to Launcher [] ------ Restore Default Behaviours Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: Clickable area (difficult to discover) in the bottom-right of the screen and "Windows Logo + D" key combination. (compare comments #10-#12) OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - It should be possible to drag and drop the 'Show Desktop' icon to place it into any position in the Launcher ------------------------------------ Preferred method of enabling Show Desktop icon in Launcher - A user would add the app to the launcher via either installing it from the software centre or by dragging and dropping it from the dash. It should be possible to change it's position in the Launcher by dragging and dropping in the same manner as any other application. This mini-app can also be run directly from the dash. Note that mini-app *should not* be a ccsm option. ------------------------------------ Fallback method of enabling Show Desktop icon in Launcher - Add checkbox to 'System Settings / Appearance / Behaviour' to enable workspaces - This should be displayed as: Reveal sensitivity Low ----|---------High ------ Enable workspaces [] Add Show Desktop icon to Launcher [] ------ Restore Default Behaviours
2012-09-13 09:50:35 Michael Nagel bug added subscriber Michael Nagel
2012-09-14 02:32:17 Tim Penhey unity: milestone backlog
2012-09-14 07:48:43 Tim Penhey tags udp udt exbacklog udp udt
2012-10-01 09:39:40 Marco Trevisan (Treviño) unity: assignee Andrea Azzarone (andyrock) Marco Trevisan (Treviño) (3v1n0)
2012-10-01 09:39:47 Marco Trevisan (Treviño) unity (Ubuntu): assignee Andrea Azzarone (andyrock) Marco Trevisan (Treviño) (3v1n0)
2012-10-01 09:39:50 Marco Trevisan (Treviño) unity: status Triaged Fix Released
2012-10-01 09:39:52 Marco Trevisan (Treviño) unity (Ubuntu): status Triaged Fix Released
2012-10-01 09:40:05 Marco Trevisan (Treviño) bug task added unity-lens-applications
2012-10-01 09:40:17 Marco Trevisan (Treviño) unity-lens-applications: status New Triaged
2012-10-01 09:40:20 Marco Trevisan (Treviño) unity-lens-applications: importance Undecided Medium
2012-10-01 09:42:04 Marco Trevisan (Treviño) description Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: Clickable area (difficult to discover) in the bottom-right of the screen and "Windows Logo + D" key combination. (compare comments #10-#12) OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - It should be possible to drag and drop the 'Show Desktop' icon to place it into any position in the Launcher ------------------------------------ Preferred method of enabling Show Desktop icon in Launcher - A user would add the app to the launcher via either installing it from the software centre or by dragging and dropping it from the dash. It should be possible to change it's position in the Launcher by dragging and dropping in the same manner as any other application. This mini-app can also be run directly from the dash. Note that mini-app *should not* be a ccsm option. ------------------------------------ Fallback method of enabling Show Desktop icon in Launcher - Add checkbox to 'System Settings / Appearance / Behaviour' to enable workspaces - This should be displayed as: Reveal sensitivity Low ----|---------High ------ Enable workspaces [] Add Show Desktop icon to Launcher [] ------ Restore Default Behaviours Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: Clickable area (difficult to discover) in the bottom-right of the screen and "Windows Logo + D" key combination. (compare comments #10-#12) OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - It should be possible to drag and drop the 'Show Desktop' icon to place it into any position in the Launcher ------------------------------------ Preferred method of enabling Show Desktop icon in Launcher - A user would add the app to the launcher via either installing it from the software centre or by dragging and dropping it from the dash. It should be possible to change it's position in the Launcher by dragging and dropping in the same manner as any other application. This mini-app can also be run directly from the dash. Note that mini-app *should not* be a ccsm option. ------------------------------------ Fallback method of enabling Show Desktop icon in Launcher - Add checkbox to 'System Settings / Appearance / Behaviour' to enable workspaces - This should be displayed as: Reveal sensitivity Low ----|---------High ------ Enable workspaces [] Add Show Desktop icon to Launcher [] ------ Restore Default Behaviours ------------------------------------ To include the Desktop Launcher icon to the launcher you now need to: - Edit the gsetting key "favorites" in com.canonical.Unity.Launcher - Add there a favorite named "unity://desktop-icon"
2012-10-02 17:37:55 Launchpad Janitor unity-lens-applications (Ubuntu): status New Confirmed
2012-10-03 21:07:05 Lonnie Lee Best bug added subscriber Lonnie Lee Best
2012-10-09 09:28:07 John Lea unity: status Fix Released Triaged
2012-10-09 09:28:11 John Lea unity (Ubuntu): status Fix Released Triaged
2012-10-09 09:28:15 John Lea unity-lens-applications (Ubuntu): status Confirmed Triaged
2012-10-09 16:30:29 MC Return branch linked lp:~mc-return/unity/unity.merge-fix681348
2012-10-10 08:38:34 Marco Trevisan (Treviño) unity (Ubuntu): status Triaged Fix Released
2012-10-10 08:38:39 Marco Trevisan (Treviño) unity: status Triaged Fix Released
2012-10-10 08:39:16 Marco Trevisan (Treviño) unity-lens-applications: assignee Marco Trevisan (Treviño) (3v1n0)
2012-10-10 08:40:23 Marco Trevisan (Treviño) bug task added gnome-control-center (Ubuntu)
2012-10-10 08:40:40 Marco Trevisan (Treviño) gnome-control-center (Ubuntu): status New Confirmed
2012-10-10 09:26:19 Lokard removed subscriber Lokard
2012-10-10 15:34:15 TomaszChmielewski bug added subscriber TomaszChmielewski
2012-10-10 15:53:31 John Lea ayatana-design: importance Critical High
2012-10-10 15:53:35 John Lea gnome-control-center (Ubuntu): status Confirmed Triaged
2012-10-10 15:53:50 John Lea unity (Ubuntu): status Fix Released Triaged
2012-10-10 15:53:57 John Lea unity: status Fix Released Triaged
2012-10-10 15:54:06 John Lea unity: importance Medium High
2012-10-10 15:54:09 John Lea unity-lens-applications: importance Medium High
2012-10-10 15:54:21 John Lea gnome-control-center (Ubuntu): importance Undecided High
2012-10-10 15:54:48 John Lea unity (Ubuntu): importance Medium High
2012-10-10 15:54:50 John Lea unity-lens-applications (Ubuntu): importance Undecided High
2012-10-11 11:38:15 Marco Trevisan (Treviño) unity (Ubuntu): status Triaged Fix Released
2012-10-11 11:38:19 Marco Trevisan (Treviño) unity: status Triaged Fix Released
2012-11-07 05:02:58 eris23 bug added subscriber eris23
2012-12-11 17:36:24 John Lea description Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: Clickable area (difficult to discover) in the bottom-right of the screen and "Windows Logo + D" key combination. (compare comments #10-#12) OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - It should be possible to drag and drop the 'Show Desktop' icon to place it into any position in the Launcher ------------------------------------ Preferred method of enabling Show Desktop icon in Launcher - A user would add the app to the launcher via either installing it from the software centre or by dragging and dropping it from the dash. It should be possible to change it's position in the Launcher by dragging and dropping in the same manner as any other application. This mini-app can also be run directly from the dash. Note that mini-app *should not* be a ccsm option. ------------------------------------ Fallback method of enabling Show Desktop icon in Launcher - Add checkbox to 'System Settings / Appearance / Behaviour' to enable workspaces - This should be displayed as: Reveal sensitivity Low ----|---------High ------ Enable workspaces [] Add Show Desktop icon to Launcher [] ------ Restore Default Behaviours ------------------------------------ To include the Desktop Launcher icon to the launcher you now need to: - Edit the gsetting key "favorites" in com.canonical.Unity.Launcher - Add there a favorite named "unity://desktop-icon" Keyboard shortcut to minimise all windows required. Description: Ubuntu used to have a button on the bottom left corner of the screen that minimised all windows. This button was equivalent to a button that used to exist in MS Windows prior to the advent of Vista/Windows 7. In Unity this button has been removed, however a 'minimise all' function is still useful to allow users to go directly to their desktop. Competitive analysis: Minimise all windows functionality in other operating systems. Windows 2000 & Windows XP: Button on desktop and "Windows Logo+D" key combination Window 7: Clickable area (difficult to discover) in the bottom-right of the screen and "Windows Logo + D" key combination. (compare comments #10-#12) OSX: "Option-Command-M" Key combination only Change request: - Create a small application that when clicked minimises all windows. Users who would like a 'minimise all windows' button can then add this application to their launcher. This app will not be in the Launcher by default. - It should be possible to drag and drop the 'Show Desktop' icon to place it into any position in the Launcher ------------------------------------ Preferred method of enabling Show Desktop icon in Launcher - A user would add the app to the launcher via either installing it from the software centre or by dragging and dropping it from the dash. It should be possible to change it's position in the Launcher by dragging and dropping in the same manner as any other application. This mini-app can also be run directly from the dash. Note that mini-app *should not* be a ccsm option. ------------------------------------ Fallback method of enabling Show Desktop icon in Launcher - Add checkbox to 'System Settings / Appearance / Behaviour' to enable workspaces - See attached image "behaviour_panel.png" for layout details. ------------------------------------ To include the Desktop Launcher icon to the launcher you now need to: - Edit the gsetting key "favorites" in com.canonical.Unity.Launcher - Add there a favorite named "unity://desktop-icon"
2012-12-11 17:36:40 John Lea attachment added behaviour_panel.png https://bugs.launchpad.net/ayatana-design/+bug/681348/+attachment/3457491/+files/behaviour_panel.png
2012-12-12 06:50:08 Didier Roche gnome-control-center (Ubuntu): assignee Didier Roche (didrocks)
2012-12-22 23:00:42 John Swing bug added subscriber John Swing
2013-01-13 23:57:57 Launchpad Janitor branch linked lp:gnome-control-center-unity
2013-01-14 00:14:45 Launchpad Janitor branch linked lp:ubuntu/raring-proposed/gnome-control-center-unity
2013-01-15 01:50:41 Didier Roche affects gnome-control-center (Ubuntu) gnome-control-center-unity (Ubuntu)
2013-01-15 01:50:41 Didier Roche gnome-control-center-unity (Ubuntu): status Triaged Fix Released
2013-03-08 18:59:45 mindracer bug added subscriber mindracer
2016-12-29 10:25:14 Michael Nagel removed subscriber Michael Nagel
2018-09-08 17:27:58 Mario Vukelic removed subscriber Mario Vukelic